<?php 


$texto_mov = '';
$texto_mov_restante = ''; 

foreach ($retornoDadosProcesso[0]->hits->hits as $contador => $registros) {            
    
$data_nova = ''; 

   foreach ($registros->_source->movimentos as $movimentacao) { 
              
             $dataMovimentacao = '';
             $dataMovimentacao = new datetime ($movimentacao->dataHora);
             $dataMovimentacao2 = $dataMovimentacao->format('Y-m-d');             
             $dataMovimentacao = '<b>'.$dataMovimentacao->format('d/m/Y').'</b> ';
             
             $dataPro = $dataMovimentacao2;
             $texto_mov = $movimentacao->nome;



             if (isset($movimentacao->complementosTabelados[0])) {
                                foreach ($movimentacao->complementosTabelados as $complementoMovimentacao) {
                                    $texto_mov_restante = '('.$complementoMovimentacao->descricao . " - " . $complementoMovimentacao->nome.')'; 

                                      if($data_nova != ""){
                if(@strtotime($dataPro) >= @strtotime($data_nova)){
                    $data_nova = $dataPro;                   
                    $texto_completo_processo = $texto_mov.' '.$texto_mov_restante;
                   
                }
             }else{
                $data_nova = $dataPro;
             }    
                                   
                                }
                            } 

          

            //break;
         

    }   
        

 } 

 ?>